curl --request GET \
--url https://app.tagadapay.com/api/public/v1/customers/{customerId} \
--header 'Authorization: Bearer <token>'{
"id": "cus_123",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe",
"storeId": "store_123",
"createdAt": "2024-03-20T10:30:00Z",
"store": {
"id": "store_123",
"name": "My Store"
},
"paymentInstruments": [
{
"id": "pi_123",
"type": "card",
"isActive": true,
"isDefault": false,
"card": {
"last4": "1234",
"brand": "visa",
"expYear": 2025,
"expMonth": 12
}
}
],
"device": {
"browser": "Chrome",
"os": "macOS"
},
"tags": [
"segment:vip",
"source:facebook"
]
}Get customer details including payment instruments and device info
curl --request GET \
--url https://app.tagadapay.com/api/public/v1/customers/{customerId} \
--header 'Authorization: Bearer <token>'{
"id": "cus_123",
"email": "john@example.com",
"firstName": "John",
"lastName": "Doe",
"storeId": "store_123",
"createdAt": "2024-03-20T10:30:00Z",
"store": {
"id": "store_123",
"name": "My Store"
},
"paymentInstruments": [
{
"id": "pi_123",
"type": "card",
"isActive": true,
"isDefault": false,
"card": {
"last4": "1234",
"brand": "visa",
"expYear": 2025,
"expMonth": 12
}
}
],
"device": {
"browser": "Chrome",
"os": "macOS"
},
"tags": [
"segment:vip",
"source:facebook"
]
}